#ifndef _SSALIGN_H
#define _SSALIGN_H

#ifdef DISPLAYON
#include <GL/gl.h>
#endif


void setAllPairs(int flag);
void setChaining(int flat);
void initvectors_ss(OBJ*, OBJ*);
void initsequences_ss(OBJ*, OBJ*);
float  align_ss(int,OBJ* query, OBJ* target);
void report_ss(int, OBJ* query, OBJ* target);
float angleBetweenVectors(int, int);
GLfloat findNearest_ss(OBJ*, int, int, GLfloat*, int*, int match_betas);

float getTransformationScore(int ordinal);
float getCurrentTransformationScore();
float getCurrentAlignmentScore();
void setAlignmentIndex();
int increaseAlignmentIndex();
int getTransformationIndex();
void PrintDPScores(int index);
void CalcDPScores(OBJ* query, OBJ* target);
void CalcAllDPScores(OBJ* query, OBJ* target);
float CalcConstantScore(int r, int c);
void initTwoPairTransform(OBJ* query, OBJ* target, OBJ* new_target);
void printScores_ss(OBJ* query, OBJ* target);
void freeAlignments();

int globalCalledAddPair;

#endif
